import request from '@/utils/request'

// 查询马拉松订单列表列表
export function listLzydMarathonOrderMaster(query) {
  return request({
    url: '/system/LzydMarathonOrderMaster/list',
    method: 'get',
    params: query
  })
}

// 查询马拉松订单列表详细
export function getLzydMarathonOrderMaster(id) {
  return request({
    url: '/system/LzydMarathonOrderMaster/' + id,
    method: 'get'
  })
}

// 新增马拉松订单列表
export function addLzydMarathonOrderMaster(data) {
  return request({
    url: '/system/LzydMarathonOrderMaster',
    method: 'post',
    data: data
  })
}

// 修改马拉松订单列表
export function updateLzydMarathonOrderMaster(data) {
  return request({
    url: '/system/LzydMarathonOrderMaster',
    method: 'put',
    data: data
  })
}

// 删除马拉松订单列表
export function delLzydMarathonOrderMaster(id) {
  return request({
    url: '/system/LzydMarathonOrderMaster/' + id,
    method: 'delete'
  })
}

// 导出马拉松订单列表
export function exportLzydMarathonOrderMaster(query) {
  return request({
    url: '/system/LzydMarathonOrderMaster/export',
    method: 'get',
    params: query
  })
}